@echo off

REM
REM  PATCH FOR BC3K v1.01 D7C (US) 
REM

CLS

ECHO To install this patch you must have typed "UPDATE X" where
ECHO X is your CDROM drive letter.
ECHO.
ECHO EXAMPLE:  UPDATE E
ECHO.
ECHO.
ECHO IF YOU DID THIS CORRECTLY, PRESS 1 TO CONTINUE
ECHO IF YOU THINK YOU MADE A MISTAKE, PRESS 2 TO QUIT AND TRY AGAIN.

CHOICE /C12
IF ERRORLEVEL=2 GOTO QUIT
IF ERRORLEVEL=1 GOTO CONT

:CONT
CLS
ECHO YOU CHOSE TO CONTINUE

IF NOT EXIST BC3000AD.EXE GOTO NO
IF NOT EXIST BC3KUSD7.RTP GOTO ERROR1
             
copy %1:\bc3lib2.res /y
copy %1:\bc3lib3.res /y
copy %1:\bc3lib4.res /y
copy %1:\bc3lib6.res /y
copy %1:\pte\*.* .\pte /y 
copy %1:\ste\*.* .\ste /y 

del player*.cmd
del player*.log
del player*.cml
del setup.cfg

del .\pics\*.caf
del .\scripts\bc3k*.*
del .\save\player*.*

IF EXIST bc3lib5.res ren bc3lib5.res bc3lib5a.res

cls

PATCH BC3KUSD7.RTP

GOTO FINISH

:NO
echo BC3000AD is not installed in this directory!
echo Please locate the correct directory and try again.
echo Update will now exit.
pause
goto exit

:QUIT
CLS
ECHO YOU CHOSE TO EXIT
goto exit

:FINISH
pause
cls
echo BATTLECRUISER IS NOW UPDATED TO V1.01 D7C (US)
pause
goto exit

:error1
cls
echo The patch was not found in the Battlecruiser directory.
echo Please copy the patch into the game directory
echo and re-run the update.
echo Update will now exit.
pause
goto exit

:EXIT
